import React from 'react';
import { type WithOutsideClickProps } from '@atlaskit/editor-common/ui';
type PaletteDropdownProps = {
    popupsMountPoint?: HTMLElement;
    popupsBoundariesElement?: HTMLElement;
    popupsScrollableElement?: HTMLElement;
    isOpen: boolean;
    activeColor: string | null;
    trigger: React.ReactElement;
    onColorChange: (color: string) => void;
    isOpenedByKeyboard: boolean;
} & WithOutsideClickProps;
export declare const PaletteDropdown: (props: PaletteDropdownProps) => JSX.Element;
export {};
